// 他の人が作ったライブラリ

#ifndef	__ETC__
#define	__ETC__	1	/* ヘッダー読み込みシンボル */

#include <stddef.h>
#include "deftype.h"

#ifdef	__cplusplus
extern	"C" {
#endif
// プロトタイプ宣言のみ
	// TwentyOne
	long	TwentyOneOptions(void);
	long	TwentyOneSetOptions(long);
	// 遅延書き込み
	int	lazyupdate_open(unchar *,size_t );
	int	lazyupdate_flush(void);
	int	lazyupdate_close(void);
	size_t	lazyupdate_calc(short );
	int	lazyupdate_exist(void);
	// 各種チェック関数
	int	MPUCheck(void);
	int	MMUCheck(void);
	int	FPUCheck(void);
	int	MIDICheck(void);
	int	SCSICheck(void);
	int	XellentCheck(void);
	int	EX68Check(void);
	int	ClockCheck(void);
#ifdef	__cplusplus
}
#endif

#endif
